diff --git a/gcc/config/sh/sh.c b/gcc/config/sh/sh.c
index 6d909c7..795567b 100644
--- a/gcc/config/sh/sh.c
+++ b/gcc/config/sh/sh.c
@@ -7761,7 +7761,7 @@ sh_expand_prologue (void)
       stack_usage += d;
     }
 
-  if (flag_pic && df_regs_ever_live_p (PIC_OFFSET_TABLE_REGNUM))
+  if (GCC_OPTION (flag_pic) && df_regs_ever_live_p (PIC_OFFSET_TABLE_REGNUM))
     emit_insn (gen_GOTaddr2picreg ());
 
   if (SHMEDIA_REGS_STACK_ADJUST ())
@@ -7776,10 +7776,10 @@ sh_expand_prologue (void)
 		 (GEN_INT (-SHMEDIA_REGS_STACK_ADJUST ())));
     }
 
-  if (target_flags != save_flags && ! current_function_interrupt)
+  if (GCC_OPTION (target_flags) != save_flags && ! current_function_interrupt)
     emit_insn (gen_toggle_sz ());
 
-  target_flags = save_flags;
+  GCC_OPTION (target_flags) = save_flags;
 
   output_stack_adjust (-rounded_frame_size (d) + d_rounding,
 		       stack_pointer_rtx, 0, NULL, true);
@@ -7802,10 +7802,10 @@ sh_expand_prologue (void)
      the call to mcount.  Similarly if some call instructions are swapped
      before frame related insns, it'll confuse the unwinder because
      currently SH has no unwind info for function epilogues.  */
-  if (crtl->profile || flag_exceptions || flag_unwind_tables)
+  if (crtl->profile || GCC_OPTION (flag_exceptions) || GCC_OPTION (flag_unwind_tables))
     emit_insn (gen_blockage ());
 
-  if (flag_stack_usage_info)
+  if (GCC_OPTION (flag_stack_usage_info))
     current_function_static_stack_size = stack_usage;
 }
 
@@ -7817,7 +7817,7 @@ sh_expand_epilogue (bool sibcall_p)
   int d, i;
   int d_rounding = 0;
 
-  int save_flags = target_flags;
+  int save_flags = GCC_OPTION (target_flags);
   int frame_size, save_size;
   int fpscr_deferred = 0;
   int e = sibcall_p ? -1 : 1;
@@ -7893,7 +7893,7 @@ sh_expand_epilogue (bool sibcall_p)
 
   /* Pop all the registers.  */
 
-  if (target_flags != save_flags && ! current_function_interrupt)
+  if (GCC_OPTION (target_flags) != save_flags && ! current_function_interrupt)
     emit_insn (gen_toggle_sz ());
   if (TARGET_SH5)
     {
@@ -8086,9 +8086,9 @@ sh_expand_epilogue (bool sibcall_p)
 	    pop (FPSCR_REG);
 	}
     }
-  if (target_flags != save_flags && ! current_function_interrupt)
+  if (GCC_OPTION (target_flags) != save_flags && ! current_function_interrupt)
     emit_insn (gen_toggle_sz ());
-  target_flags = save_flags;
+  GCC_OPTION (target_flags) = save_flags;
 
   output_stack_adjust (crtl->args.pretend_args_size
 		       + save_size + d_rounding
@@ -9212,7 +9212,7 @@ initial_elimination_offset (int from, int to)
   int regs_saved_rounding = 0;
   int total_saved_regs_space;
   int total_auto_space;
-  int save_flags = target_flags;
+  int save_flags = GCC_OPTION (target_flags);
   int copy_flags;
   HARD_REG_SET live_regs_mask;
 
@@ -9231,8 +9231,8 @@ initial_elimination_offset (int from, int to)
 			   - regs_saved % (STACK_BOUNDARY / BITS_PER_UNIT));
 
   total_auto_space = rounded_frame_size (regs_saved) - regs_saved_rounding;
-  copy_flags = target_flags;
-  target_flags = save_flags;
+  copy_flags = GCC_OPTION (target_flags);
+  GCC_OPTION (target_flags) = save_flags;
 
   total_saved_regs_space = regs_saved + regs_saved_rounding;
 
@@ -9270,13 +9270,13 @@ initial_elimination_offset (int from, int to)
       if (! TEST_HARD_REG_BIT (live_regs_mask, pr_reg))
 	return n;
 
-      target_flags = copy_flags;
+      GCC_OPTION (target_flags) = copy_flags;
 
       sh5_schedule_saves (&live_regs_mask, &schedule, n);
       for (entry = &schedule.entries[1]; entry->mode != VOIDmode; entry++)
 	if (entry->reg == pr_reg)
 	  {
-	    target_flags = save_flags;
+	    GCC_OPTION (target_flags) = save_flags;
 	    return entry->offset;
 	  }
       gcc_unreachable ();
@@ -9727,13 +9727,13 @@ sh_cfun_trap_exit_p (void)
 static const char *
 sh_check_pch_target_flags (int old_flags)
 {
-  if ((old_flags ^ target_flags) & (MASK_SH1 | MASK_SH2 | MASK_SH3
+  if ((old_flags ^ GCC_OPTION (target_flags)) & (MASK_SH1 | MASK_SH2 | MASK_SH3
 				    | MASK_SH_E | MASK_HARD_SH4
 				    | MASK_FPU_SINGLE | MASK_SH4))
     return _("created and used with different architectures / ABIs");
-  if ((old_flags ^ target_flags) & MASK_HITACHI)
+  if ((old_flags ^ GCC_OPTION (target_flags)) & MASK_HITACHI)
     return _("created and used with different ABIs");
-  if ((old_flags ^ target_flags) & MASK_LITTLE_ENDIAN)
+  if ((old_flags ^ GCC_OPTION (target_flags)) & MASK_LITTLE_ENDIAN)
     return _("created and used with different endianness");
   return NULL;
 }
@@ -10397,7 +10397,7 @@ sh_find_mov_disp_adjust (enum machine_mode mode, HOST_WIDE_INT offset)
 static rtx
 sh_legitimize_address (rtx x, rtx oldx, enum machine_mode mode)
 {
-  if (flag_pic)
+  if (GCC_OPTION (flag_pic))
     x = legitimize_pic_address (oldx, mode, NULL_RTX);
 
   if (TARGET_SHMEDIA)
@@ -10622,7 +10622,7 @@ mark_constant_pool_use (rtx x)
 bool
 sh_can_redirect_branch (rtx branch1, rtx branch2)
 {
-  if (flag_expensive_optimizations && simplejump_p (branch2))
+  if (GCC_OPTION (flag_expensive_optimizations) && simplejump_p (branch2))
     {
       rtx dest = XEXP (SET_SRC (single_set (branch2)), 0);
       rtx insn;
@@ -10767,7 +10767,7 @@ sh_adjust_cost (rtx insn, rtx link ATTRIBUTE_UNUSED, rtx dep_insn, int cost)
 		  /* sibcalli_thunk uses a symbol_ref in an unspec.  */
 	      && (GET_CODE (XEXP (XEXP (call, 0), 0)) == UNSPEC
 		  || ! reg_set_p (XEXP (XEXP (call, 0), 0), dep_insn)))
-	    cost -= TARGET_SH4_300 ? 3 : 6;
+	    cost -= GCC_OPTION (TARGET_SH4_300) ? 3 : 6;
 	}
       /* Likewise, the most timing critical input for an sfuncs call
 	 is the function address.  However, sfuncs typically start
@@ -10784,9 +10784,9 @@ sh_adjust_cost (rtx insn, rtx link ATTRIBUTE_UNUSED, rtx dep_insn, int cost)
 	       && (reg = sfunc_uses_reg (insn)))
 	{
 	  if (! reg_set_p (reg, dep_insn))
-	    cost -= TARGET_SH4_300 ? 1 : 4;
+	    cost -= GCC_OPTION (TARGET_SH4_300) ? 1 : 4;
 	}
-      if (TARGET_HARD_SH4 && !TARGET_SH4_300)
+      if (TARGET_HARD_SH4 && !GCC_OPTION (TARGET_SH4_300))
 	{
 	  enum attr_type dep_type = get_attr_type (dep_insn);
 
@@ -10826,7 +10826,7 @@ sh_adjust_cost (rtx insn, rtx link ATTRIBUTE_UNUSED, rtx dep_insn, int cost)
 	      && get_attr_late_fp_use (insn) == LATE_FP_USE_YES)
 	    cost -= 1;
 	}
-      else if (TARGET_SH4_300)
+      else if (GCC_OPTION (TARGET_SH4_300))
 	{
 	  /* Stores need their input register two cycles later.  */
 	  if (dep_set && cost >= 1
@@ -10851,7 +10851,7 @@ sh_adjust_cost (rtx insn, rtx link ATTRIBUTE_UNUSED, rtx dep_insn, int cost)
     }
   /* An anti-dependence penalty of two applies if the first insn is a double
      precision fadd / fsub / fmul.  */
-  else if (!TARGET_SH4_300
+  else if (!GCC_OPTION (TARGET_SH4_300)
 	   && REG_NOTE_KIND (link) == REG_DEP_ANTI
 	   && recog_memoized (dep_insn) >= 0
 	   && (get_attr_type (dep_insn) == TYPE_DFP_ARITH
@@ -11474,8 +11474,8 @@ sh_trampoline_init (rtx tramp_mem, tree fndecl, rtx cxt)
   emit_move_insn (adjust_address (tramp_mem, SImode, 12), fnaddr);
   if (TARGET_HARD_SH4 || TARGET_SH5)
     {
-      if (!TARGET_INLINE_IC_INVALIDATE
-	  || (!(TARGET_SH4A_ARCH || TARGET_SH4_300) && TARGET_USERMODE))
+      if (!GCC_OPTION (TARGET_INLINE_IC_INVALIDATE)
+	  || (!(TARGET_SH4A_ARCH || GCC_OPTION (TARGET_SH4_300)) && GCC_OPTION (TARGET_USERMODE)))
 	emit_library_call (function_symbol (NULL, "__ic_invalidate",
 					    FUNCTION_ORDINARY),
 			   LCT_NORMAL, VOIDmode, 1, tramp, SImode);
@@ -11507,7 +11507,7 @@ sh_function_ok_for_sibcall (tree decl, tree exp ATTRIBUTE_UNUSED)
 	  && (! TARGET_SHCOMPACT
 	      || crtl->args.info.stack_regs == 0)
 	  && ! sh_cfun_interrupt_handler_p ()
-	  && (! flag_pic
+	  && (! GCC_OPTION (flag_pic)
 	      || (decl && ! TREE_PUBLIC (decl))
 	      || (decl && DECL_VISIBILITY (decl) != VISIBILITY_DEFAULT)));
 }
@@ -12088,7 +12088,7 @@ sh_hard_regno_mode_ok (unsigned int regno, enum machine_mode mode)
     return mode == PSImode;
 
   /* FIXME.  This works around PR target/37633 for -O0.  */
-  if (!optimize && TARGET_SHMEDIA32 && GET_MODE_SIZE (mode) > 4)
+  if (!GCC_OPTION (optimize) && TARGET_SHMEDIA32 && GET_MODE_SIZE (mode) > 4)
     {
       unsigned int n = GET_MODE_SIZE (mode) / 8;
 
@@ -12114,7 +12114,7 @@ sh_cannot_change_mode_class (enum machine_mode from, enum machine_mode to,
      on the stack with displacement addressing, as it happens with -O0.
      Thus we disallow the mode change for -O0.  */
   if (to == SFmode && VECTOR_MODE_P (from) && GET_MODE_INNER (from) == SFmode)
-    return optimize ? (reg_classes_intersect_p (GENERAL_REGS, rclass)) : false;
+    return GCC_OPTION (optimize) ? (reg_classes_intersect_p (GENERAL_REGS, rclass)) : false;
 
   if (GET_MODE_SIZE (from) != GET_MODE_SIZE (to))
     {
@@ -12180,7 +12180,7 @@ sh_register_move_cost (enum machine_mode mode,
     return 4;
 
   if (REGCLASS_HAS_FP_REG (dstclass) && srcclass == T_REGS)
-    return ((TARGET_HARD_SH4 && !optimize_size) ? 10 : 7);
+    return ((TARGET_HARD_SH4 && !GCC_OPTION (optimize_size)) ? 10 : 7);
 
   if ((REGCLASS_HAS_FP_REG (dstclass) && srcclass == MAC_REGS)
       || (dstclass == MAC_REGS && REGCLASS_HAS_FP_REG (srcclass)))
@@ -12220,8 +12220,8 @@ sh_register_move_cost (enum machine_mode mode,
   if (TARGET_SHMEDIA
       && ((srcclass) == TARGET_REGS || (srcclass) == SIBCALL_REGS))
     {
-      if (sh_gettrcost >= 0)
-	return sh_gettrcost;
+      if (GCC_OPTION (sh_gettrcost) >= 0)
+	return GCC_OPTION (sh_gettrcost);
       else if (!TARGET_PT_FIXED)
 	return 100;
     }
@@ -12394,18 +12394,18 @@ sh_output_mi_thunk (FILE *file, tree thunk_fndecl ATTRIBUTE_UNUSED,
   /* If the function is overridden, so is the thunk, hence we don't
      need GOT addressing even if this is a public symbol.  */
 #if 0
-  if (TARGET_SH1 && ! flag_weak)
+  if (TARGET_SH1 && ! GCC_OPTION (flag_weak))
     sibcall = gen_sibcalli_thunk (funexp, const0_rtx);
   else
 #endif
-  if (TARGET_SH2 && flag_pic)
+  if (TARGET_SH2 && GCC_OPTION (flag_pic))
     {
       sibcall = gen_sibcall_pcrel (funexp, const0_rtx);
       XEXP (XVECEXP (sibcall, 0, 2), 0) = scratch2;
     }
   else
     {
-      if (TARGET_SHMEDIA && flag_pic)
+      if (TARGET_SHMEDIA && GCC_OPTION (flag_pic))
 	{
 	  funexp = gen_sym2PIC (funexp);
 	  PUT_MODE (funexp, Pmode);
@@ -12425,7 +12425,7 @@ sh_output_mi_thunk (FILE *file, tree thunk_fndecl ATTRIBUTE_UNUSED,
 
   insns = get_insns ();
 
-  if (optimize > 0)
+  if (GCC_OPTION (optimize) > 0)
     {
       if (! cfun->cfg)
 	init_flow (cfun);
@@ -12454,7 +12454,7 @@ function_symbol (rtx target, const char *name, enum sh_function_kind kind)
     name = IDENTIFIER_POINTER (get_identifier (name));
   sym = gen_rtx_SYMBOL_REF (Pmode, name);
   SYMBOL_REF_FLAGS (sym) = SYMBOL_FLAG_FUNCTION;
-  if (flag_pic)
+  if (GCC_OPTION (flag_pic))
     switch (kind)
       {
       case FUNCTION_ORDINARY:
@@ -12944,7 +12944,7 @@ shmedia_prepare_call_address (rtx fnaddr, int is_sibcall)
 
   fnaddr = XEXP (fnaddr, 0);
   is_sym = GET_CODE (fnaddr) == SYMBOL_REF;
-  if (flag_pic && is_sym)
+  if (GCC_OPTION (flag_pic) && is_sym)
     {
       if (! SYMBOL_REF_LOCAL_P (fnaddr))
 	{
@@ -13163,7 +13163,7 @@ sh_conditional_register_usage (void)
       CLEAR_HARD_REG_SET (reg_class_contents[FP0_REGS]);
       regno_reg_class[FIRST_FP_REG] = FP_REGS;
     }
-  if (flag_pic)
+  if (GCC_OPTION (flag_pic))
     {
       fixed_regs[PIC_OFFSET_TABLE_REGNUM] = 1;
       call_used_regs[PIC_OFFSET_TABLE_REGNUM] = 1;
diff --git a/gcc/config/sh/sh.h b/gcc/config/sh/sh.h
index 8819300..918677b 100644
--- a/gcc/config/sh/sh.h
+++ b/gcc/config/sh/sh.h
@@ -61,14 +61,14 @@ extern int code_for_indirect_jump_scratch;
 
 /* Nonzero if a double-precision FPU is available.  */
 #define TARGET_FPU_DOUBLE \
-  ((target_flags & MASK_SH4) != 0 || TARGET_SH2A_DOUBLE)
+  ((GCC_OPTION (target_flags) & MASK_SH4) != 0 || TARGET_SH2A_DOUBLE)
 
 /* Nonzero if an FPU is available.  */
 #define TARGET_FPU_ANY (TARGET_SH2E || TARGET_FPU_DOUBLE)
 
 /* Nonzero if we should generate code using type 4 insns.  */
 #undef TARGET_SH4
-#define TARGET_SH4 ((target_flags & MASK_SH4) != 0 && TARGET_SH1)
+#define TARGET_SH4 ((GCC_OPTION (target_flags) & MASK_SH4) != 0 && TARGET_SH1)
 
 /* Nonzero if we're generating code for the common subset of
    instructions present on both SH4a and SH4al-dsp.  */
@@ -885,7 +885,7 @@ extern char sh_additional_register_names[ADDREGNAMES_SIZE] \
 
 /* Register to hold the addressing base for position independent
    code access to data items.  */
-#define PIC_OFFSET_TABLE_REGNUM	(flag_pic ? PIC_REG : INVALID_REGNUM)
+#define PIC_OFFSET_TABLE_REGNUM	(GCC_OPTION (flag_pic) ? PIC_REG : INVALID_REGNUM)
 
 #define GOT_SYMBOL_NAME "*_GLOBAL_OFFSET_TABLE_"
 
@@ -1555,7 +1555,7 @@ struct sh_args {
 /* Alignment required for a trampoline in bits.  */
 #define TRAMPOLINE_ALIGNMENT \
   ((CACHE_LOG < 3 \
-    || (optimize_size && ! (TARGET_HARD_SH4 || TARGET_SH5))) ? 32 \
+    || (GCC_OPTION (optimize_size) && ! (TARGET_HARD_SH4 || TARGET_SH5))) ? 32 \
    : TARGET_SHMEDIA ? 256 : 64)
 
 /* A C expression whose value is RTL representing the value of the return
@@ -1586,11 +1586,11 @@ struct sh_args {
 
 #define MOVE_BY_PIECES_P(SIZE, ALIGN) \
   (move_by_pieces_ninsns (SIZE, ALIGN, MOVE_MAX_PIECES + 1) \
-   < (optimize_size ? 2 : ((ALIGN >= 32) ? 16 : 2)))
+   < (GCC_OPTION (optimize_size) ? 2 : ((ALIGN >= 32) ? 16 : 2)))
 
 #define STORE_BY_PIECES_P(SIZE, ALIGN) \
   (move_by_pieces_ninsns (SIZE, ALIGN, STORE_MAX_PIECES + 1) \
-   < (optimize_size ? 2 : ((ALIGN >= 32) ? 16 : 2)))
+   < (GCC_OPTION (optimize_size) ? 2 : ((ALIGN >= 32) ? 16 : 2)))
 
 #define SET_BY_PIECES_P(SIZE, ALIGN) STORE_BY_PIECES_P(SIZE, ALIGN)
 
@@ -1653,7 +1653,7 @@ struct sh_args {
   (CONSTANT_P (OP)							\
    && !CONST_INT_P (OP)							\
    && GET_CODE (OP) != CONST_DOUBLE					\
-   && (!flag_pic							\
+   && (!GCC_OPTION (flag_pic)							\
        || (LEGITIMATE_PIC_OPERAND_P (OP)				\
 	   && !PIC_ADDR_P (OP)						\
 	   && GET_CODE (OP) != LABEL_REF)))
@@ -1709,7 +1709,7 @@ struct sh_args {
    || GOTOFF_P (OP) || PIC_ADDR_P (OP))
 
 #define MOVI_SHORI_BASE_OPERAND_P(OP) \
-  (flag_pic \
+  (GCC_OPTION (flag_pic) \
    ? (GOT_ENTRY_P (OP) || GOTPLT_ENTRY_P (OP)  || GOTOFF_P (OP) \
       || PCREL_SYMOFF_P (OP)) \
    : NON_PIC_REFERENCE_P (OP))
@@ -1755,7 +1755,7 @@ struct sh_args {
 
 /* Specify the machine mode that this machine uses
    for the index in the tablejump instruction.  */
-#define CASE_VECTOR_MODE ((! optimize || TARGET_BIGTABLE) ? SImode : HImode)
+#define CASE_VECTOR_MODE ((! GCC_OPTION (optimize) || TARGET_BIGTABLE) ? SImode : HImode)
 
 #define CASE_VECTOR_SHORTEN_MODE(MIN_OFFSET, MAX_OFFSET, BODY) \
 ((MIN_OFFSET) >= 0 && (MAX_OFFSET) <= 127 \
@@ -1931,7 +1931,7 @@ struct sh_args {
 
 /* A C expression for the cost of a branch instruction.  A value of 1
    is the default; other values are interpreted relative to that.  */
-#define BRANCH_COST(speed_p, predictable_p) sh_branch_cost
+#define BRANCH_COST(speed_p, predictable_p) GCC_OPTION (sh_branch_cost)
 
 /* Assembler output control.  */
 
@@ -2130,7 +2130,7 @@ struct sh_args {
 
 /* Output an absolute table element.  */
 #define ASM_OUTPUT_ADDR_VEC_ELT(STREAM,VALUE)  				\
-  if (! optimize || TARGET_BIGTABLE)					\
+  if (! GCC_OPTION (optimize) || TARGET_BIGTABLE)					\
     asm_fprintf ((STREAM), "\t.long\t%LL%d\n", (VALUE)); 		\
   else									\
     asm_fprintf ((STREAM), "\t.word\t%LL%d\n", (VALUE));
@@ -2222,7 +2222,7 @@ extern int current_function_interrupt;
 
 /* Better to allocate once the maximum space for outgoing args in the
    prologue rather than duplicate around each call.  */
-#define ACCUMULATE_OUTGOING_ARGS TARGET_ACCUMULATE_OUTGOING_ARGS
+#define ACCUMULATE_OUTGOING_ARGS GCC_OPTION (TARGET_ACCUMULATE_OUTGOING_ARGS)
 
 #define NUM_MODES_FOR_MODE_SWITCHING { FP_MODE_NONE }
 
@@ -2277,8 +2277,8 @@ extern int current_function_interrupt;
 /* We have to distinguish between code and data, so that we apply
    datalabel where and only where appropriate.  Use sdataN for data.  */
 #define ASM_PREFERRED_EH_DATA_FORMAT(CODE, GLOBAL) \
- ((flag_pic && (GLOBAL) ? DW_EH_PE_indirect : 0) \
-  | (flag_pic ? DW_EH_PE_pcrel : DW_EH_PE_absptr) \
+ ((GCC_OPTION (flag_pic) && (GLOBAL) ? DW_EH_PE_indirect : 0) \
+  | (GCC_OPTION (flag_pic) ? DW_EH_PE_pcrel : DW_EH_PE_absptr) \
   | ((CODE) ? 0 : (TARGET_SHMEDIA64 ? DW_EH_PE_sdata8 : DW_EH_PE_sdata4)))
 
 /* Handle special EH pointer encodings.  Absolute, pc-relative, and
diff --git a/gcc/config/sh/sh_optimize_sett_clrt.cc b/gcc/config/sh/sh_optimize_sett_clrt.cc
index 313e5b5..cbbe3d3 100644
--- a/gcc/config/sh/sh_optimize_sett_clrt.cc
+++ b/gcc/config/sh/sh_optimize_sett_clrt.cc
@@ -164,7 +164,7 @@ sh_optimize_sett_clrt::~sh_optimize_sett_clrt (void)
 bool
 sh_optimize_sett_clrt::gate (void)
 {
-  return optimize > 0;
+  return GCC_OPTION (optimize) > 0;
 }
 
 unsigned int
diff --git a/gcc/config/sh/sh_treg_combine.cc b/gcc/config/sh/sh_treg_combine.cc
index e736040..1bef6e8 100644
--- a/gcc/config/sh/sh_treg_combine.cc
+++ b/gcc/config/sh/sh_treg_combine.cc
@@ -1438,7 +1438,7 @@ sh_treg_combine::try_optimize_cbranch (rtx insn)
 bool
 sh_treg_combine::gate (void)
 {
-  return optimize > 0;
+  return GCC_OPTION (optimize) > 0;
 }
 
 unsigned int
diff --git a/gcc/config/sh/vxworks.h b/gcc/config/sh/vxworks.h
index 15dae73..ff10156 100644
--- a/gcc/config/sh/vxworks.h
+++ b/gcc/config/sh/vxworks.h
@@ -39,7 +39,7 @@ along with GCC; see the file COPYING3.  If not see
 	 linked with --emit-relocs).  No relaxation relocations	\
 	 appear in shared libraries, so relaxation is OK	\
 	 for RTP PIC.  */					\
-      if (TARGET_RELAX && !(TARGET_VXWORKS_RTP && flag_pic))	\
+      if (TARGET_RELAX && !(TARGET_VXWORKS_RTP && GCC_OPTION (flag_pic)))	\
 	error ("-mrelax is only supported for RTP PIC");	\
     }								\
   while (0)
diff --git a/gcc/config/sol2.c b/gcc/config/sol2.c
index d07a941..f086c58 100644
--- a/gcc/config/sol2.c
+++ b/gcc/config/sol2.c
@@ -296,5 +296,5 @@ solaris_override_options (void)
   /* Older versions of Solaris ld cannot handle CIE version 3 in .eh_frame.
      Don't emit DWARF3/4 unless specifically selected if so.  */
   if (!HAVE_LD_EH_FRAME_CIEV3 && !global_options_set.x_dwarf_version)
-    dwarf_version = 2;
+    GCC_OPTION (dwarf_version) = 2;
 }
diff --git a/gcc/config/sol2.h b/gcc/config/sol2.h
index 2a657db..9116c31 100644
--- a/gcc/config/sol2.h
+++ b/gcc/config/sol2.h
@@ -244,7 +244,7 @@ along with GCC; see the file COPYING3.  If not see
 #define ASM_DECLARE_FUNCTION_SIZE(FILE, FNAME, DECL)		\
   do								\
     {								\
-      if (!flag_inhibit_size_directive)				\
+      if (!GCC_OPTION (flag_inhibit_size_directive))				\
 	ASM_OUTPUT_MEASURED_SIZE (FILE, FNAME);			\
       solaris_output_init_fini (FILE, DECL);			\
     }								\
diff --git a/gcc/config/sparc/sol2.h b/gcc/config/sparc/sol2.h
index b50a937..76bfa10 100644
--- a/gcc/config/sparc/sol2.h
+++ b/gcc/config/sparc/sol2.h
@@ -46,7 +46,7 @@ along with GCC; see the file COPYING3.  If not see
    relocs properly, so force them to be aligned.  */
 #ifndef HAVE_AS_SPARC_UA_PCREL
 #define ASM_PREFERRED_EH_DATA_FORMAT(CODE,GLOBAL)		\
-  ((flag_pic || GLOBAL) ? DW_EH_PE_aligned : DW_EH_PE_absptr)
+  ((GCC_OPTION (flag_pic) || GLOBAL) ? DW_EH_PE_aligned : DW_EH_PE_absptr)
 #endif
 
 
@@ -339,7 +339,7 @@ extern const char *host_detect_local_cpu (int argc, const char **argv);
 	ASM_OUTPUT_TYPE_DIRECTIVE (FILE, NAME, "object");	\
 								\
       size_directive_output = 0;				\
-      if (!flag_inhibit_size_directive				\
+      if (!GCC_OPTION (flag_inhibit_size_directive)				\
 	  && (DECL) && DECL_SIZE (DECL))			\
 	{							\
 	  size_directive_output = 1;				\
